# IncludedBuild

API Documentation: | `IncludedBuild`

Note: This class is incubating and may change in a future version of Gradle.

A build that is included in the composite.

### Properties

Property | Description
`name` | Incubating The name of the included build.
`projectDir` | Incubating The root directory of the included build.

### Methods

Method | Description
`task(path)` | Incubating Produces a reference to a task in the included build.

### Script blocks

No script blocks

### Property details

#### `String` `name` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The name of the included build.

#### `File` `projectDir` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The root directory of the included build.

### Method details

#### `TaskReference` `task`(`String` path)

Note: This method is incubating and may change in a future version of Gradle.

Produces a reference to a task in the included build.